curl --request GET \
--url https://api.otbstudio.ai/v1/companies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.otbstudio.ai/v1/companies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.otbstudio.ai/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.otbstudio.ai/v1/companies/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.otbstudio.ai/v1/companies/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.otbstudio.ai/v1/companies/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.otbstudio.ai/v1/companies/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enterpriseNumber": "BE0712345630",
"nameNl": "Noordkaap Logistics",
"statusCode": "AC",
"juridicalFormCode": "014",
"juridicalSituationCode": "000",
"typeOfEnterpriseCode": "2",
"deleted": false,
"startDate": "1998-06-15",
"street": "Kaaiweg 14",
"zipCode": "9000",
"city": "Gent",
"website": "noordkaap.example",
"activities": "MAIN :: 006 :: 2025 :: 49410;MAIN :: 001 :: 2025 :: 52100",
"financials": {
"closingDate": "2025-03-31",
"reference": "2025-00184417",
"schemaType": "full",
"employees": 186.4,
"equity": 12480310.52,
"operatingIncome": 3912774.18,
"ebitda": 5240118.66,
"resultForPeriod": 2731905.07,
"healthIndicator": 10
},
"has": {
"annualAccounts": true,
"participations": true,
"accountants": true,
"valuations": false,
"socialBalances": true
},
"snapshotDate": "2026-04-29"
}{
"code": "missing_token"
}{
"code": "insufficient_credits"
}{
"code": "not_found"
}{
"code": "rate_limited"
}{
"code": "internal"
}{
"code": "busy"
}Obtenir une entreprise
Le profil d’une entreprise : dénominations, statut, forme juridique, adresse, coordonnées, activités, les derniers chiffres déposés, et des indicateurs qui disent quelles autres données existent pour elle.
curl --request GET \
--url https://api.otbstudio.ai/v1/companies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.otbstudio.ai/v1/companies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.otbstudio.ai/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.otbstudio.ai/v1/companies/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.otbstudio.ai/v1/companies/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.otbstudio.ai/v1/companies/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.otbstudio.ai/v1/companies/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enterpriseNumber": "BE0712345630",
"nameNl": "Noordkaap Logistics",
"statusCode": "AC",
"juridicalFormCode": "014",
"juridicalSituationCode": "000",
"typeOfEnterpriseCode": "2",
"deleted": false,
"startDate": "1998-06-15",
"street": "Kaaiweg 14",
"zipCode": "9000",
"city": "Gent",
"website": "noordkaap.example",
"activities": "MAIN :: 006 :: 2025 :: 49410;MAIN :: 001 :: 2025 :: 52100",
"financials": {
"closingDate": "2025-03-31",
"reference": "2025-00184417",
"schemaType": "full",
"employees": 186.4,
"equity": 12480310.52,
"operatingIncome": 3912774.18,
"ebitda": 5240118.66,
"resultForPeriod": 2731905.07,
"healthIndicator": 10
},
"has": {
"annualAccounts": true,
"participations": true,
"accountants": true,
"valuations": false,
"socialBalances": true
},
"snapshotDate": "2026-04-29"
}{
"code": "missing_token"
}{
"code": "insufficient_credits"
}{
"code": "not_found"
}{
"code": "rate_limited"
}{
"code": "internal"
}{
"code": "busy"
}Autorisations
Un jeton otb_live_, créé dans le tableau de bord OTB Studio.
Paramètres de chemin
Le numéro d'entreprise. 0712.345.630, BE 0712 345 630 et BE0712345630 sont tous acceptés.
Réponse
Le profil.
L'entreprise n'existe plus. Renvoyée plutôt que cachée.
Quelles autres données la source détient pour cette entreprise. Une borne supérieure : un indicateur à true signifie que la source a ces données, pas qu'un appel renverra des lignes.
Show child attributes
Show child attributes
La dénomination néerlandaise.
La dénomination française.
Code BCE brut, sans libellé.
Code BCE brut de la forme juridique, sans libellé.
Code BCE brut, sans libellé.
Code BCE brut, sans libellé.
Une chaîne composée : MAIN :: 006 :: 2025 :: 58120, répétée et séparée par ;. La dernière partie est le code NACE et la troisième est une année. Les deux premières parties sont des codes source sans signification publiée.
Un exercice, tel que déposé. Les montants sont en euros.
Show child attributes
Show child attributes
Date de la dernière mise à jour de cette entreprise depuis la source. Chaque réponse vaut à une date.